# Basic command line switch reference

Only the most usual switches are described here. However those should be sufficient for the vast majority of users.

switch | parameter
`--abr` | average bitrate encoding
`-b` | bitrate (8...320)
`--decode` | decoding only
`-f` | fast mode
`-h` | high quality
`--help` | help
`-m m` | mono mode
`-V` | VBR quality setting (0...9)

* `--abr n` average bitrate encoding

  Turns on encoding with a targeted average bitrate of n kbits, allowing to use frames of different sizes. The allowed range of n is 8-320, you can use any integer value within that range.

* `-b n` bitrate

  For MPEG1 (sampling frequencies of 32, 44.1 and 48 kHz)
  n = 32,40,48,56,64,80,96,112,128,160,192,224,256,320
  For MPEG2 (sampling frequencies of 16, 22.05 and 24 kHz)
  n = 8,16,24,32,40,48,56,64,80,96,112,128,144,160
  Default is 128 kbs for MPEG1 and 80 kbs for MPEG2.

* `--decode` decoding only

  Uses LAME for decoding to a wav file. The input file can be any input type supported by encoding, including layer I,II,III (MP3).

* `-f` fast mode

  This switch forces the encoder to use a faster encoding mode, but with a lower quality.

* `-h` high quality

  Use some quality improvements. Encoding will be slower, but the result will be of higher quality.
  This switch is always enabled when using VBR.

* `--help` help

  Display a list of all available options.

* `-m m` mono mode

  The input will be encoded as a mono signal.

* `-V 0...9` VBR quality setting

  Enable VBR (Variable BitRate) and specifies the value of VBR quality.
  default=4
  0=highest quality.